Disk project doesn't save the disk title

Bug #587924 reported by Uqbar on 2010-05-31
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Brasero
Fix Released
Medium
brasero (Ubuntu)
Low
Unassigned
Lucid
Low
Didier Roche

Bug Description

Binary package hint: brasero

Whatever I put as a disk title in an audio CD project, it is not saved into the project file.
Instead the current time stamp is proposed before burning.

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: brasero 2.30.1-0ubuntu2
ProcVersionSignature: Ubuntu 2.6.32-22.33-generic 2.6.32.11+drm33.2
Uname: Linux 2.6.32-22-generic x86_64
NonfreeKernelModules: nvidia
Architecture: amd64
Date: Mon May 31 16:36:35 2010
EcryptfsInUse: Yes
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
ProcEnviron:
 LC_COLLATE=C
 PATH=(custom, user)
 LANG=it_IT.utf8
 SHELL=/bin/bash
SourcePackage: brasero

Uqbar (uqbar) wrote :
Pedro Villavicencio (pedro) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. Please answer these questions:
1. Is this reproducible?
2. If so, what specific steps should we take to recreate this bug? Be as detailed as possible.
This will help us to find and resolve the problem.

Changed in brasero (Ubuntu):
importance: Undecided → Low
status: New → Incomplete
Uqbar (uqbar) wrote :

1. Yes, it is.
2.1 create an audio project
2.2 put some text "medium name" in the field just above the burning taget
2.3 save the project somewhere
2.4 close the application and reopen it
2.5 load the previously saved project
2.6 notice that the medium name has changed to a timestamp

Pedro Villavicencio (pedro) wrote :

Confirmed, will look upstream, thanks Uqbar.

Changed in brasero (Ubuntu):
status: Incomplete → Confirmed
Pedro Villavicencio (pedro) wrote :

Thank you for your bug report. This bug has been reported to the developers of the software. You can track it and make comments at:
 https://bugzilla.gnome.org/show_bug.cgi?id=620589

Changed in brasero (Ubuntu):
status: Confirmed → Triaged
Changed in brasero:
status: Unknown → New
Changed in brasero:
status: New → Fix Released
Pedro Villavicencio (pedro) wrote :
Changed in brasero (Ubuntu):
status: Triaged → Fix Committed
Didier Roche (didrocks) wrote :

uploaded in -proposed:

brasero (2.30.2-0ubuntu1) lucid-proposed; urgency=low

  * New upstream release
    - Lot's of memleak fixes
    - Fixed a runtime warning related to cancelling tracker searches
    - Crash in brasero_data_project_node_removed at
      brasero-data-project.c:1163
    - brasero crashed with SIGSEGV in brasero_data_project_remove_node()
      (LP: #561319)
    - Fix a few runtime warnings with the Cover Editor
    - Text in cover editor does not show up automatically (LP: #469459)
    - Removed use of deprecated flags
    - Use accessor functions instead direct access (use GSEAL GnomeGoal)
    - Fix a bug in the layout on first start (side pane was hidden and
      remained so until the user moved it)
    - Save printer settings for cover printing
    - Write the contents of the GtkTextBuffer displayed line by displayed
      line which should improve the layout
    - "Write to Disc" button sensitivity regression
    - Fix flaw in mask that led libburn plugin not to work (not to be picked
      up actually) in some circumstances
    - Fails to burn ANY audio project
    - Move columns doesn't work (LP: #581759)
    - Brasero does not correctly handle double clicking on column separators
      (LP: #581885)
    - Bad info when burning, high CPU usage and slow burn
    - Change the priority for cdrdao and raised the one of cdda2wav plugin
    - brasero crashed with SIGSEGV in
      brasero_mmc3_get_performa nce_wrt_spd_desc() (LP: #564766)
    - brasero crashed with SIGSEGV in brasero_scsi_command_issue_sync()
      (LP: #444832)
    - Do not check for symlinks on cdda2wav so the plugin can use icedax.
    - Brasero's failure with some file names (LP: #380643)
    - Pressing create audio cd does nothing
    - Empty project not available
    - can't actually save error logs
    - doesn't handle incorrect temp dirs properly
    - Fix multi DND in GtkFileChooser
    - Displays "starting to record" during whole burn process
    - Fix wrong report of speed with both cdrecord and wodim
    - Disk project doesn't save the disk title (LP: #587924)
    - Brasero reports outdated cdrtools on cdrtools-3.00 (LP: #592075)
    - misc bug fixes
    - Updated Translations
  * Removed upstream patches:
    - debian/patches/90_git_audio_project_creation.patch,
      debian/patches/91_git_audio_project_creation.patch,
      debian/patches/92_git_audio_cd_recording.patch,
      debian/patches/93_git_new_caps_function_definition.patch
  * debian/patches/99_autoconf.patch:
    - refreshed

Test case:
- install the package from lucid-proposed and check you have 2.30.2-0ubuntu1
- try to burn a data and an audio CD and check everything is fine
- check that bugs mentioned in the above changelog are fixed too and comment on each bug report
Thanks!

Didier Roche (didrocks) wrote :
Didier Roche (didrocks) on 2010-06-24
Changed in brasero (Ubuntu Lucid):
status: New → Triaged
assignee: nobody → Didier Roche (didrocks)
importance: Undecided → Low

Accepted brasero into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in brasero (Ubuntu Lucid):
status: Triaged → Fix Committed
tags: added: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package brasero - 2.30.2-0ubuntu2

---------------
brasero (2.30.2-0ubuntu2) maverick; urgency=low

  * New upstream release
    - Lot's of memleak fixes
    - Fixed a runtime warning related to cancelling tracker searches
    - Crash in brasero_data_project_node_removed at
      brasero-data-project.c:1163
    - brasero crashed with SIGSEGV in brasero_data_project_remove_node()
      (LP: #561319)
    - Fix a few runtime warnings with the Cover Editor
    - Text in cover editor does not show up automatically (LP: #469459)
    - Removed use of deprecated flags
    - Use accessor functions instead direct access (use GSEAL GnomeGoal)
    - Fix a bug in the layout on first start (side pane was hidden and
      remained so until the user moved it)
    - Save printer settings for cover printing
    - Write the contents of the GtkTextBuffer displayed line by displayed
      line which should improve the layout
    - "Write to Disc" button sensitivity regression
    - Fix flaw in mask that led libburn plugin not to work (not to be picked
      up actually) in some circumstances
    - Fails to burn ANY audio project
    - Move columns doesn't work (LP: #581759)
    - Brasero does not correctly handle double clicking on column separators
      (LP: #581885)
    - Bad info when burning, high CPU usage and slow burn
    - Change the priority for cdrdao and raised the one of cdda2wav plugin
    - brasero crashed with SIGSEGV in
      brasero_mmc3_get_performa nce_wrt_spd_desc() (LP: #564766)
    - brasero crashed with SIGSEGV in brasero_scsi_command_issue_sync()
      (LP: #444832)
    - Do not check for symlinks on cdda2wav so the plugin can use icedax.
    - Brasero's failure with some file names (LP: #380643)
    - Pressing create audio cd does nothing
    - Empty project not available
    - can't actually save error logs
    - doesn't handle incorrect temp dirs properly
    - Fix multi DND in GtkFileChooser
    - Displays "starting to record" during whole burn process
    - Fix wrong report of speed with both cdrecord and wodim
    - Disk project doesn't save the disk title (LP: #587924)
    - Brasero reports outdated cdrtools on cdrtools-3.00 (LP: #592075)
    - misc bug fixes
    - Updated Translations
  * Removed upstream patches:
    - debian/patches/90_git_audio_project_creation.patch,
      debian/patches/91_git_audio_project_creation.patch,
      debian/patches/92_git_audio_cd_recording.patch,
      debian/patches/93_git_new_caps_function_definition.patch
  * debian/rules, debian/control.in:
    - use dh-autoreconf to launch autoreconf on build
 -- Didier Roche <email address hidden> Mon, 28 Jun 2010 10:33:09 +0200

Changed in brasero (Ubuntu):
status: Fix Committed → Fix Released
Pedro Villavicencio (pedro) wrote :

I can reproduce the bug on the Lucid package and can confirm it is fixed on the proposed package, marking this as verification done, thanks all.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package brasero - 2.30.2-0ubuntu1

---------------
brasero (2.30.2-0ubuntu1) lucid-proposed; urgency=low

  * New upstream release
    - Lot's of memleak fixes
    - Fixed a runtime warning related to cancelling tracker searches
    - Crash in brasero_data_project_node_removed at
      brasero-data-project.c:1163
    - brasero crashed with SIGSEGV in brasero_data_project_remove_node()
      (LP: #561319)
    - Fix a few runtime warnings with the Cover Editor
    - Text in cover editor does not show up automatically (LP: #469459)
    - Removed use of deprecated flags
    - Use accessor functions instead direct access (use GSEAL GnomeGoal)
    - Fix a bug in the layout on first start (side pane was hidden and
      remained so until the user moved it)
    - Save printer settings for cover printing
    - Write the contents of the GtkTextBuffer displayed line by displayed
      line which should improve the layout
    - "Write to Disc" button sensitivity regression
    - Fix flaw in mask that led libburn plugin not to work (not to be picked
      up actually) in some circumstances
    - Fails to burn ANY audio project
    - Move columns doesn't work (LP: #581759)
    - Brasero does not correctly handle double clicking on column separators
      (LP: #581885)
    - Bad info when burning, high CPU usage and slow burn
    - Change the priority for cdrdao and raised the one of cdda2wav plugin
    - brasero crashed with SIGSEGV in
      brasero_mmc3_get_performa nce_wrt_spd_desc() (LP: #564766)
    - brasero crashed with SIGSEGV in brasero_scsi_command_issue_sync()
      (LP: #444832)
    - Do not check for symlinks on cdda2wav so the plugin can use icedax.
    - Brasero's failure with some file names (LP: #380643)
    - Pressing create audio cd does nothing
    - Empty project not available
    - can't actually save error logs
    - doesn't handle incorrect temp dirs properly
    - Fix multi DND in GtkFileChooser
    - Displays "starting to record" during whole burn process
    - Fix wrong report of speed with both cdrecord and wodim
    - Disk project doesn't save the disk title (LP: #587924)
    - Brasero reports outdated cdrtools on cdrtools-3.00 (LP: #592075)
    - misc bug fixes
    - Updated Translations
  * Removed upstream patches:
    - debian/patches/90_git_audio_project_creation.patch,
      debian/patches/91_git_audio_project_creation.patch,
      debian/patches/92_git_audio_cd_recording.patch,
      debian/patches/93_git_new_caps_function_definition.patch
  * debian/patches/99_autoconf.patch:
    - refreshed
 -- Didier Roche <email address hidden> Thu, 24 Jun 2010 11:22:46 +0200

Changed in brasero (Ubuntu Lucid):
status: Fix Committed → Fix Released
Changed in brasero:
importance: Unknown → Medium
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.